<template>
    <canvas id="clockItem1" width="400" height="400" />
</template>

<script lang="ts">
    import { SGraphItem, SGraphScene, SGraphView, SGraphClockItem } from "@persagy-web/graph";
    import { SPainter } from "@persagy-web/draw/lib";

    class TestView extends SGraphView {
        clock1 = new SGraphClockItem(null, 300, 300);

        constructor() {
            super("clockItem1");
            this.scene = new SGraphScene();
            this.scene.addItem(this.clock1);
        }
    }

    export default {
        mounted(): void {
            new TestView();
        }
    }
</script>

<style scoped>

</style>
